Page MenuHomeFreeBSD

Update sysutils/circonus-agent to 0.13.0
ClosedPublic

Authored by seanc on Apr 24 2018, 5:15 AM.

Details

Summary

Update sysutils/circonus-agent to 0.13.0

Test Plan

poudriere testport

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

seanc created this revision.Apr 24 2018, 5:15 AM
seanc updated this revision to Diff 41900.Apr 26 2018, 6:20 PM
seanc retitled this revision from Update sysutils/circonus-agent to 0.12.0 to Update sysutils/circonus-agent to 0.13.0.
seanc edited the summary of this revision. (Show Details)

Updated to 0.13.0

sam_samgwydir.com added a comment.EditedApr 26 2018, 6:37 PM

Do you pass portlint -Aac? Also does it build on {10.4, 11.2, CURRENT}-{i386,amd64} with poudriere testport?

seanc added a comment.May 6 2018, 12:17 AM

Do you pass portlint -Aac? Also does it build on {10.4, 11.2, CURRENT}-{i386,amd64} with poudriere testport?

  1. Yes:
% portlint -Aac
looks fine.
% pwd
/usr/home/seanc/src/FreeBSD/ports/sysutils/circonus-agent
  1. Yes.
% ls -lA /usr/local/poudriere/data/logs/bulk/12amd64-dev/2018-05-06_00h12m30s/logs/errors/
total 0
% ls -lA /usr/local/poudriere/data/logs/bulk/12amd64-dev/2018-05-06_00h12m30s/logs/
total 35
-rw-r--r--  3 root  wheel  40901 May  5 17:13 circonus-agent-0.13.0.log
-rw-r--r--  1 root  wheel    118 May  5 17:12 circonus-agent-0.13.0.portlint.log
drwxr-xr-x  2 root  wheel      2 May  5 17:12 errors/
mat added inline comments.May 9 2018, 10:14 AM
sysutils/circonus-agent/Makefile
18 ↗(On Diff #41900)

Please do not use GH_TUPLE for the :DEFAULT entry.

Replace with:

GH_ACCOUNT= circonus-labs
GH_SUBDIR=  src/github.com/circonus-labs/circonus-agent
seanc updated this revision to Diff 42424.May 11 2018, 6:53 PM
seanc edited the test plan for this revision. (Show Details)

Remove the use of :DEFAULT

swills accepted this revision.May 11 2018, 8:01 PM

Approved

This revision is now accepted and ready to land.May 11 2018, 8:01 PM
This revision was automatically updated to reflect the committed changes.